<script lang="ts">
	import { getContext } from "svelte"
	import { page } from "$app/stores"
	import { AUTH_CONTEXT_KEY } from "$lib/constants"
	import { userProfile } from "$lib/stores"

	const { gotoLoginIfAnonymous } = getContext(AUTH_CONTEXT_KEY)
	gotoLoginIfAnonymous($page)
</script>

{#if $userProfile}
	<h1>{$userProfile.displayName} ({$userProfile.username})</h1>

	<img class="rounded-full" src={$userProfile.avatarUrl} alt="avatar" />

	<div>
		<a href={$userProfile.profileUrl} rel="external">Profile page on GitLab</a>
	</div>
{/if}
